- Qt 6.7
- Qt 3D
- C++ Classes
- Qt3DAnimation
- QClipBlendValue
- Qt 6.7.3 Reference Documentation

# QClipBlendValue Class

class Qt3DAnimation::QClipBlendValue

Class used for including a clip in a blend tree. More...

Header: | #include <QClipBlendValue>
CMake: | find_package(Qt6 REQUIRED COMPONENTS 3danimation) target_link_libraries(mytarget PRIVATE Qt6::3danimation)
qmake: | QT += 3danimation
Instantiated By: | ClipBlendValue
Inherits: | Qt3DAnimation::QAbstractClipBlendNode

- List of all members, including inherited members

## Properties

- clip : Qt3DAnimation::QAbstractAnimationClip*

## Public Functions

Qt3DAnimation::QAbstractAnimationClip * | clip() const

## Public Slots

void | setClip(Qt3DAnimation::QAbstractAnimationClip *clip)

## Signals

void | clipChanged(Qt3DAnimation::QAbstractAnimationClip *clip)

## Detailed Description

## Property Documentation

### clip : Qt3DAnimation::QAbstractAnimationClip*

The animation clip that needs to be included in the blend tree.

Access functions:

Qt3DAnimation::QAbstractAnimationClip * | clip() const
void | setClip(Qt3DAnimation::QAbstractAnimationClip *clip)

Notifier signal:

void | clipChanged(Qt3DAnimation::QAbstractAnimationClip *clip)